Index: tests/exceptions/hotpotato.cfa
===================================================================
--- tests/exceptions/hotpotato.cfa	(revision 0a6d20453ce0f1bf1bb35cbe740e036d4d380116)
+++ tests/exceptions/hotpotato.cfa	(revision 11f65b3369fa32d43b280f81c50724661e3d2e56)
@@ -5,7 +5,7 @@
 
 struct Potato {
-        PRNG & prng;
-        unsigned int deadline;                                                          // when timer goes off
-        unsigned int timer;                                                                     // up counter to deadline
+	PRNG & prng;
+	unsigned int deadline;								// when timer goes off
+	unsigned int timer;									// up counter to deadline
 }; // Potato
 
@@ -16,11 +16,11 @@
 	&potato.prng = &prng;
 	reset( potato, maxTicks );
-} // Potato
+		} // Potato
 
 coroutine Player {
-        PRNG & prng;
-        int id;                                                                                         // player identity
-        Potato & potato;                                                                        // potato being tossed
-        Player * partner[2];                                                            // left and right player
+	PRNG & prng;
+	int id;												// player identity
+	Potato & potato;									// potato being tossed
+	Player * partner[2];								// left and right player
 }; // Player
 
@@ -29,5 +29,5 @@
 	player.id = id;
 	&player.potato = &potato;
-} // Player
+		} // Player
 
 Player & umpire;
@@ -39,5 +39,5 @@
 
 void reset( Potato & potato, unsigned int maxTicks ) with(potato) {
-  if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
+	if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
 	deadline = prng( prng, 1, maxTicks );
 	timer = 0;
@@ -60,6 +60,6 @@
 enum { LEFT = 0, RIGHT = 1 };
 
-static void vote( Player & player, Election & election ) {					// cause partner to vote
-    resumeAt( player, election );
+static void vote( Player & player, Election & election ) { // cause partner to vote
+	resumeAt( player, election );
 	resume( player );
 } // vote
@@ -76,24 +76,24 @@
 
 void main( Player & player ) with(player) {
-    suspend;									// return immediately after establishing starter
+	suspend;											// return immediately after establishing starter
 	try {
-        for ( ;; ) {
-            poll();                                     // check for non-local exceptions before proceeding
-
-            if ( partner[LEFT] == &player ) {			// stop when only one player
-                sout | id | " wins the Match!";
-                return;
-            } // exit
-            
-            countdown( potato );				// player is eliminated if countdown() returned true
-            
-            size_t side = prng( prng, 2 );
-            sout | id | " -> " | nonl;
-            resume( *partner[ side ] );			// random toss left/right
-        } // for
+		for ( ;; ) {
+			poll();										// check for non-local exceptions before proceeding
+
+			if ( partner[LEFT] == &player ) {			// stop when only one player
+				sout | id | " wins the Match!";
+				return;
+			} // exit
+
+			countdown( potato );						// player is eliminated if countdown() returned true
+
+			size_t side = prng( prng, 2 );
+			sout | id | " -> " | nonl;
+			resume( *partner[ side ] );					// random toss left/right
+		} // for
 	} catchResume( Terminate * v ) {
 		v->victim->partner[LEFT]->partner[RIGHT] = v->victim->partner[RIGHT]; // unlink node
 		v->victim->partner[RIGHT]->partner[LEFT] = v->victim->partner[LEFT];
-        delete( v->victim );
+		delete( v->victim );
 		reset( potato );
 		sout | "U " | nonl;								// start new game
@@ -102,18 +102,18 @@
 		sout | "election";
 		sout | " -> " | id | nonl;
-		if ( id > getId( umpire ) ) &umpire = &player; // set umpire to highest id so far
+		if ( id > getId( umpire ) ) &umpire = &player;	// set umpire to highest id so far
 		vote( *partner[RIGHT], *election );
 	} catchResume ( Explode * ) {
-        sout | id | " is eliminated";
-        if ( &player == &umpire ) {
-            id = -1;					// remove from election
-            vote( *partner[RIGHT], ExceptionInst( Election ) );		// start election
-            try { poll(); } catchResume( Election * election ) {} // handle end of election
-            sout | " : umpire " | getId( umpire );
-        } // if
-        resumeAt( umpire, ExceptionInst( Terminate, &player ) );
-        resume( umpire );                   // resume umpire to terminate this player
-        assert( false );					// no return
-    } // try
+		sout | id | " is eliminated";
+		if ( &player == &umpire ) {
+			id = -1;									// remove from election
+			vote( *partner[RIGHT], ExceptionInst( Election ) );	// start election
+			try { poll(); } catchResume( Election * election ) {} // handle end of election
+			sout | " : umpire " | getId( umpire );
+		} // if
+		resumeAt( umpire, ExceptionInst( Terminate, &player ) );
+		resume( umpire );								// resume umpire to terminate this player
+		assert( false );								// no return
+	} // try
 } // main
 
@@ -151,11 +151,11 @@
 		  case 1: ;										// defaults
 		  default:										// too many arguments
-			throw ExceptionInst( cmd_error );
+			  throw ExceptionInst( cmd_error );
 		} // choose
 	} catch( exception_t * ) {							// catch any
 		exit | "Usage: " | argv[0]
-			 | " [ games (>=0) | 'd' (default " | DefaultGames
-			 | ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
-			 | ") [ seed (>0) | 'd' (random) ] ] ]";
+			| " [ games (>=0) | 'd' (default " | DefaultGames
+			| ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
+			| ") [ seed (>0) | 'd' (random) ] ] ]";
 	} // try
 	sout | numGames | numPlayers | seed;
Index: tests/exceptions/hotpotato_checked.cfa
===================================================================
--- tests/exceptions/hotpotato_checked.cfa	(revision 0a6d20453ce0f1bf1bb35cbe740e036d4d380116)
+++ tests/exceptions/hotpotato_checked.cfa	(revision 11f65b3369fa32d43b280f81c50724661e3d2e56)
@@ -5,7 +5,7 @@
 
 struct Potato {
-        PRNG & prng;
-        unsigned int deadline;                                                          // when timer goes off
-        unsigned int timer;                                                                     // up counter to deadline
+	PRNG & prng;
+	unsigned int deadline;								// when timer goes off
+	unsigned int timer;									// up counter to deadline
 }; // Potato
 
@@ -16,11 +16,11 @@
 	&potato.prng = &prng;
 	reset( potato, maxTicks );
-} // Potato
+		} // Potato
 
 coroutine Player {
-        PRNG & prng;
-        int id;                                                                                         // player identity
-        Potato & potato;                                                                        // potato being tossed
-        Player * partner[2];                                                            // left and right player
+	PRNG & prng;
+	int id;												// player identity
+	Potato & potato;									// potato being tossed
+	Player * partner[2];								// left and right player
 }; // Player
 
@@ -29,5 +29,5 @@
 	player.id = id;
 	&player.potato = &potato;
-} // Player
+		} // Player
 
 Player & umpire;
@@ -39,5 +39,5 @@
 
 void reset( Potato & potato, unsigned int maxTicks ) with(potato) {
-  if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
+	if ( maxTicks < 2 ) abort( "Hot Potato initialized with less than 2 ticks" ); // optional
 	deadline = prng( prng, 1, maxTicks );
 	timer = 0;
@@ -66,6 +66,6 @@
 static void terminate( Player & player ) {				// resume umpire
 	resume( player ); 
-    checked_poll();
-    sout | "THIS SHOULD NOT BE REACHED";
+	checked_poll();
+	sout | "THIS SHOULD NOT BE REACHED";
 } // terminate
 
@@ -74,5 +74,5 @@
 	partner[RIGHT] = &rp;
 	resume( player );									// establish main as starter for termination
-    checked_poll();
+	checked_poll();
 } // init
 
@@ -82,5 +82,5 @@
 
 void toss( Player & player ) {							// tossed the potato
-    resume( player );
+	resume( player );
 	checked_poll();
 } // toss
@@ -88,26 +88,26 @@
 void main( Player & player ) with(player) {
 	try {
-        enable_ehm();								// allow delivery of nonlocal exceptions
-        suspend;									// return immediately after establishing starter
-        checked_poll();
-
-        for ( ;; ) {
-            checked_poll();
-            if ( partner[LEFT] == &player ) {			// stop when only one player
-                sout | id | " wins the Match!";
-                return;
-            } // exit
-
-            countdown( potato );				// player is eliminated if countdown() returned true
-
-            size_t side = prng( prng, 2 );
-            sout | id | " -> " | nonl;
-            toss( *partner[ side ] );			// random toss left/right
-        } // for
-        disable_ehm();
+		enable_ehm();									// allow delivery of nonlocal exceptions
+		suspend;										// return immediately after establishing starter
+		checked_poll();
+
+		for ( ;; ) {
+			checked_poll();
+			if ( partner[LEFT] == &player ) {			// stop when only one player
+				sout | id | " wins the Match!";
+				return;
+			} // exit
+
+			countdown( potato );						// player is eliminated if countdown() returned true
+
+			size_t side = prng( prng, 2 );
+			sout | id | " -> " | nonl;
+			toss( *partner[ side ] );					// random toss left/right
+		} // for
+		disable_ehm();
 	} catchResume( Terminate * v ) {
 		v->victim->partner[LEFT]->partner[RIGHT] = v->victim->partner[RIGHT]; // unlink node
 		v->victim->partner[RIGHT]->partner[LEFT] = v->victim->partner[LEFT];
-        delete( v->victim );
+		delete( v->victim );
 		reset( potato );
 		sout | "U " | nonl;								// start new game
@@ -116,25 +116,25 @@
 		sout | "election";
 		sout | " -> " | id | nonl;
-		if ( id > getId( umpire ) ) &umpire = &player; // set umpire to highest id so far
-        resumeAt( *partner[RIGHT], *election );
-        disable_ehm();              // disable ehm since we can't handle execption thrown in vote here and want to poll later
+		if ( id > getId( umpire ) ) &umpire = &player;	// set umpire to highest id so far
+		resumeAt( *partner[RIGHT], *election );
+		disable_ehm();									// disable ehm since we can't handle execption thrown in vote here and want to poll later
 		vote( *partner[RIGHT] );
-        enable_ehm();               // enable after vote
+		enable_ehm();									// enable after vote
 	} catchResume( Explode * ) {
-        sout | id | " is eliminated";
-        if ( &player == &umpire ) {
-            try {
-                id = -1;					// remove from election
-                resumeAt( *partner[RIGHT], ExceptionInst( Election ) );
-                vote( *partner[RIGHT] );		// start election
-                checked_poll(); 
-            } catchResume( Election * election ) {
-                sout | " : umpire " | getId( umpire );
-            } // try
-        } // if
-        resumeAt( umpire, ExceptionInst( Terminate, &player ) );
-        terminate( umpire );
-        assert( false );					// no return
-    } // try
+		sout | id | " is eliminated";
+		if ( &player == &umpire ) {
+			try {
+				id = -1;								// remove from election
+				resumeAt( *partner[RIGHT], ExceptionInst( Election ) );
+				vote( *partner[RIGHT] );				// start election
+				checked_poll(); 
+			} catchResume( Election * election ) {
+				sout | " : umpire " | getId( umpire );
+			} // try
+		} // if
+		resumeAt( umpire, ExceptionInst( Terminate, &player ) );
+		terminate( umpire );
+		assert( false );								// no return
+	} // try
 } // main
 
@@ -172,11 +172,11 @@
 		  case 1: ;										// defaults
 		  default:										// too many arguments
-			throw ExceptionInst( cmd_error );
+			  throw ExceptionInst( cmd_error );
 		} // choose
 	} catch( exception_t * ) {							// catch any
 		exit | "Usage: " | argv[0]
-			 | " [ games (>=0) | 'd' (default " | DefaultGames
-			 | ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
-			 | ") [ seed (>0) | 'd' (random) ] ] ]";
+			| " [ games (>=0) | 'd' (default " | DefaultGames
+			| ") [ players (>=2) | 'd' (random " | MinNoPlayers | "-" | MaxNoPlayers
+			| ") [ seed (>0) | 'd' (random) ] ] ]";
 	} // try
 	sout | numGames | numPlayers | seed;
